Get dataset
curl --request GET \
--url https://api.calibrate.artpark.ai/datasets/{dataset_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.calibrate.artpark.ai/datasets/{dataset_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"uuid": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"name": "<string>",
"dataset_type": "<string>",
"item_count": 123,
"eval_count": 123,
"created_at": "<string>",
"updated_at": "<string>",
"items": [
{
"uuid": "6ba7b810-9dad-11d1-80b4-00c04fd430c8",
"text": "<string>",
"order_index": 123,
"created_at": "<string>",
"audio_path": "<string>",
"updated_at": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Datasets
Get dataset
Get a dataset with all of its items
GET
/
datasets
/
{dataset_id}
Get dataset
curl --request GET \
--url https://api.calibrate.artpark.ai/datasets/{dataset_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.calibrate.artpark.ai/datasets/{dataset_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"uuid": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"name": "<string>",
"dataset_type": "<string>",
"item_count": 123,
"eval_count": 123,
"created_at": "<string>",
"updated_at": "<string>",
"items": [
{
"uuid": "6ba7b810-9dad-11d1-80b4-00c04fd430c8",
"text": "<string>",
"order_index": 123,
"created_at": "<string>",
"audio_path": "<string>",
"updated_at": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
API key for authentication
Path Parameters
The dataset to retrieve
Example:
"f47ac10b-58cc-4372-a567-0e02b2c3d479"
Response
Successful Response
Dataset ID
Required string length:
36Example:
"f47ac10b-58cc-4372-a567-0e02b2c3d479"
Dataset name
Dataset type (stt or tts)
Number of items in the dataset
Number of evaluation jobs that used this dataset
When the dataset was created (ISO 8601 UTC)
When the dataset was last updated (ISO 8601 UTC)
All items in the dataset, ordered by order_index
Show child attributes
Show child attributes